* [gentoo-commits] repo/gentoo:master commit in: media-gfx/tuxpaint/, media-gfx/tuxpaint/files/
@ 2016-04-24 12:07 Pacho Ramos
0 siblings, 0 replies; only message in thread
From: Pacho Ramos @ 2016-04-24 12:07 UTC (permalink / raw
To: gentoo-commits
commit: 684ef5bfe738933598f61b853be0a47a6aed2cba
Author: Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Sun Apr 24 11:18:15 2016 +0000
Commit: Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Sun Apr 24 12:06:44 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=684ef5bf
media-gfx/tuxpaint: Bump EAPI, set proper slot information in RDEPEND
Package-Manager: portage-2.2.28
.../tuxpaint/files/tuxpaint-0.9.21-LDFLAGS.patch | 4 +-
.../tuxpaint/files/tuxpaint-0.9.21-libpng1.5.patch | 4 +-
media-gfx/tuxpaint/tuxpaint-0.9.21-r2.ebuild | 83 ++++++++++++++++++++++
3 files changed, 87 insertions(+), 4 deletions(-)
diff --git a/media-gfx/tuxpaint/files/tuxpaint-0.9.21-LDFLAGS.patch b/media-gfx/tuxpaint/files/tuxpaint-0.9.21-LDFLAGS.patch
index 3370d67..f864a83 100644
--- a/media-gfx/tuxpaint/files/tuxpaint-0.9.21-LDFLAGS.patch
+++ b/media-gfx/tuxpaint/files/tuxpaint-0.9.21-LDFLAGS.patch
@@ -1,6 +1,6 @@
=== modified file 'Makefile'
---- Makefile 2011-08-09 15:19:01 +0000
-+++ Makefile 2011-08-09 15:19:43 +0000
+--- a/Makefile 2011-08-09 15:19:01 +0000
++++ b/Makefile 2011-08-09 15:19:43 +0000
@@ -871,7 +871,7 @@
$(ARCH_LIBS)
@echo
diff --git a/media-gfx/tuxpaint/files/tuxpaint-0.9.21-libpng1.5.patch b/media-gfx/tuxpaint/files/tuxpaint-0.9.21-libpng1.5.patch
index 25e80cd..2970eac 100644
--- a/media-gfx/tuxpaint/files/tuxpaint-0.9.21-libpng1.5.patch
+++ b/media-gfx/tuxpaint/files/tuxpaint-0.9.21-libpng1.5.patch
@@ -1,8 +1,8 @@
http://tuxpaint.cvs.sourceforge.net/viewvc/tuxpaint/tuxpaint/src/tuxpaint.c?r1=1.828&r2=1.829
No longer directly accessing PNG structure members directly, now using png_set_IHDR(). (Patch from SF.net Bug #3386433)
---- src/tuxpaint.c 2011/07/29 21:27:39 1.828
-+++ src/tuxpaint.c 2011/08/08 17:59:12 1.829
+--- a/src/tuxpaint.c 2011/07/29 21:27:39 1.828
++++ b/src/tuxpaint.c 2011/08/08 17:59:12 1.829
@@ -13425,12 +13425,7 @@
{
png_init_io(png_ptr, fi);
diff --git a/media-gfx/tuxpaint/tuxpaint-0.9.21-r2.ebuild b/media-gfx/tuxpaint/tuxpaint-0.9.21-r2.ebuild
new file mode 100644
index 0000000..7942616
--- /dev/null
+++ b/media-gfx/tuxpaint/tuxpaint-0.9.21-r2.ebuild
@@ -0,0 +1,83 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+inherit gnome2-utils multilib toolchain-funcs
+
+DESCRIPTION="Drawing program designed for young children"
+HOMEPAGE="http://www.tuxpaint.org/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+
+IUSE="nls"
+
+RDEPEND="
+ app-text/libpaper
+ dev-libs/fribidi
+ gnome-base/librsvg:2
+ >=media-libs/libpng-1.2:0=
+ >=media-libs/freetype-2:2
+ media-libs/libsdl
+ media-libs/sdl-image[png]
+ media-libs/sdl-mixer
+ media-libs/sdl-pango
+ media-libs/sdl-ttf
+ x11-libs/cairo
+"
+DEPEND="${RDEPEND}
+ nls? ( sys-devel/gettext )
+"
+
+PATCHES=(
+ # Sanitize the Makefile and correct a few other issues
+ "${FILESDIR}/${PN}-0.9.20-gentoo.patch"
+ "${FILESDIR}/${P}-libpng1.5.patch" #378199
+ "${FILESDIR}/${P}-LDFLAGS.patch" #334571
+ "${FILESDIR}/${P}-underlinking.patch" #484434
+)
+
+src_prepare() {
+ default
+ sed -i \
+ -e "s|linux_PREFIX:=/usr/local|linux_PREFIX:=/usr|" \
+ -e "s:/lib/:/$(get_libdir)/:" \
+ -e "s:/share/doc/tuxpaint.*:/share/doc/${PF}:g" \
+ Makefile || die
+}
+
+src_compile() {
+ # parallel build may break things
+ emake -j1 CC="$(tc-getCC)" \
+ $(use nls && echo ENABLE_GETTEXT=1)
+}
+
+src_install () {
+ emake -j1 PKG_ROOT="${D}" \
+ $(use nls && echo ENABLE_GETTEXT=1) install
+
+ rm -f docs/COPYING.txt docs/INSTALL.txt
+ dodoc docs/*.txt
+}
+
+pkg_preinst() {
+ gnome2_icon_savelist
+}
+
+pkg_postinst() {
+ gnome2_icon_cache_update
+
+ if ! has_version "${CATEGORY}/${PN}"; then
+ elog ""
+ elog "For additional graphic stamps, you can emerge the"
+ elog "media-gfx/tuxpaint-stamps package."
+ elog ""
+ fi
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+}
^ permalink raw reply related [flat|nested] only message in thread
only message in thread, other threads:[~2016-04-24 12:07 UTC | newest]
Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2016-04-24 12:07 [gentoo-commits] repo/gentoo:master commit in: media-gfx/tuxpaint/, media-gfx/tuxpaint/files/ Pacho Ramos
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox